IncludingPluginFilter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class IncludingPluginFilter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.BasePluginFilter
          org.codehaus.groovy.grails.plugins.IncludingPluginFilter

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public class IncludingPluginFilter
    extends BasePluginFilter

Implementation of `PluginFilter` which ensures that only the supplied plugins (identified by name) as well as their dependencies are included in the filtered plugin list.

Authors:
  Phil Zoio

Field Summary

Fields inherited from class BasePluginFilter
nameMap

Constructor Summary
`IncludingPluginFilter(java.util.Set included)`
`IncludingPluginFilter(java.lang.String[] included)`

Method Summary
`protected void` | `addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)`
`protected java.util.List` | `getPluginList(java.util.List original, java.util.List pluginList)`

Methods inherited from class BasePluginFilter
addPluginDependencies, filterPluginList, getAllPlugins, getNamedPlugin, getPluginList, getSuppliedNames, isDependentOn, registerDependency

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### IncludingPluginFilter

    public IncludingPluginFilter(java.util.Set included)

### IncludingPluginFilter

    public IncludingPluginFilter(java.lang.String[] included)

Method Detail

### addPluginDependencies

    @java.lang.Override
    protected void addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)

### getPluginList

    @java.lang.Override
    protected java.util.List getPluginList(java.util.List original, java.util.List pluginList)

Groovy Documentation